Bug 472309 - Display corruption on resume
Display corruption on resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 18:20 EST by Orion Poplawski
Modified: 2009-12-18 01:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:53:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (50.06 KB, text/plain)
2008-11-19 18:20 EST, Orion Poplawski
no flags Details
Xorg.0.log from T43p (68.33 KB, text/plain)
2008-12-02 10:34 EST, Evan McNabb
no flags Details

  None (edit)
Description Orion Poplawski 2008-11-19 18:20:23 EST
Created attachment 324113 [details]
X log

Description of problem:

On resume, X display is almost completely a bluish grey.  Text consoles are fine, but vt switches doesn't fix.

Some messages:

Nov 19 15:47:53 localhost kernel: Suspending console(s) (use no_console_suspend to debug)
Nov 19 15:47:53 localhost kernel: [drm:drm_bo_evict_mm] *ERROR* lru empty
Nov 19 15:47:53 localhost kernel: [drm] Num pipes: 1

Nov 19 15:47:53 localhost kernel: [drm:radeon_resume] *ERROR*
Nov 19 15:47:53 localhost kernel: [drm] Loading R300 Microcode
Nov 19 15:47:53 localhost kernel: [drm] Num pipes: 1
Nov 19 15:47:53 localhost kernel: [drm] writeback test succeeded in 2 usecs
Nov 19 15:47:53 localhost kernel: [drm] DAC-6: set mode 1600x1200 16


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-54.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64
Comment 1 Matěj Cepl 2008-11-20 11:31:06 EST
no /etc/X11/xorg.conf, I suppose?
Comment 2 Orion Poplawski 2008-11-20 11:32:04 EST
Nope.  Live USB image.
Comment 3 Bug Zapper 2008-11-26 00:38:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Evan McNabb 2008-12-02 10:33:56 EST
I'm also seeing this on my T43p with F10 - it suspends correctly but does not reliably resume. On resume the screen is black and I'm unable to get X to resume or access one of the virtual consoles. F9 resumed correctly.

xorg-x11-drv-ati-6.9.0-54.fc10.i386
kernel-2.6.27.5-117.fc10.i686
01:00.0 VGA compatible controller: ATI Technologies Inc M24GL [Mobility FireGL V3200] (rev 80)

# dmesg     (from after resume)
...
Suspending console(s) (use no_console_suspend to debug)
[drm:drm_bo_evict_mm] *ERROR* lru empty
[drm] Num pipes: 1
...
[drm:radeon_resume] *ERROR* 
[drm] Loading R300 Microcode
[drm] Num pipes: 1
[drm] writeback test succeeded in 1 usecs
[drm] LVDS-10: set mode  b
[drm] bios LVDS_GEN_CNTL: 0xff24
...

In Xorg.0.log I see the following error repeated many times, but I'm not sure if it's related or not:

RADEON DRM CS failure - corruptions/glitches may occur -12
bufmgr: last submission : r:19580480 vs g:22016000 w:71424 vs v:42968673
RADEON DRM CS failure - corruptions/glitches may occur -12
bufmgr: last submission : r:19841856 vs g:22016000 w:1083008 vs v:42968673
...

And I've also seen the following error on a freshly booted box:

[drm:drm_buffer_object_validate] *ERROR* Failed moving buffer. d9038d00 1723 2000027 10000a7
[drm:drm_buffer_object_validate] *ERROR* Out of aperture space or DRM memory quota.


I'll attach my Xorg log. There is no xorg.conf file in /etc/X11. Let me know what additional information might be useful.
Comment 5 Evan McNabb 2008-12-02 10:34:55 EST
Created attachment 325383 [details]
Xorg.0.log from T43p
Comment 6 Brad Rubenstein 2009-01-10 12:39:41 EST
Also, I'll note that resume fails on HP Compaq 6400 with Radeon X1300 unless nomodeset is provided (adding nomodeset to kernel boot line seems to be an effective workaround).

kernel-2.6.27.9-159.fc10.i686
xorg-x11-drv-ati-6.9.0-63.fc10.i386
pm-utils-1.2.2.1-2.fc10.i386

http://www.smolts.org/client/show/pub_fc810b37-1ccc-4536-90fe-ffd25e27c861
Comment 7 Bug Zapper 2009-11-18 03:54:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 01:53:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.